Subject: Re: bug#74615: 30.0.92; js-find-symbol automatically activates ido-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Dec 2024 14:54:09 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Daniel Mendler <[email-masked]>,  Daniel Colascione
>  <[email-masked]>,  [email-masked]
> Date: Sat, 30 Nov 2024 14:05:14 -0500
> 
> > This code is there since the day js.el was added, so I don't think
> > removing the activation of ido-mode is something we can do, because
> > users might expect that by now.
> 
> User backward-compatibility is nice but not important enough to imply
> "cannot do".  I think in this case, IDO has lost enough popularity by
> now that more users will be happy rather than annoyed by the change.
> 
> > Maybe we could make that optional or something.
> 
> Users can enable IDO already, and if really some users like IDO for this
> command but not elsewhere (which seems highly unlikely to me), we can
> add a small ELisp snippet in NEWS using `advice-add`, for them to copy
> to their init file.

Sounds like there's consensus to make this change, so I've now
installed it on the master branch, and I'm therefore closing this bug.